package org.springblade.gateway.point_gateway.service;

import org.springblade.sing.yeepay.entity.YeepayOrder;

import javax.servlet.http.HttpServletRequest;
import java.math.BigDecimal;
import java.util.HashMap;

public interface PointExchangeService {
	/**
	 * 积分兑换
	 * @param yeepayOrder
	 * @return
	 */
	void pointExchange(YeepayOrder yeepayOrder);

	/**
	 * 现金兑换
	 * @param yeepayOrder
	 * @return
	 */
	HashMap<String, Object> cashExchange(YeepayOrder yeepayOrder) throws Exception;

	/**
	 * 现金支付回调
	 * @param request
	 */
	void goodsHandlerCasePropsOrder(HttpServletRequest request);

	/**
	 * 混合支付
	 * @param yeepayOrder
	 * @return
	 */
	HashMap<String, Object> hybridExchange(YeepayOrder yeepayOrder) throws Exception;

	/**
	 * 支付合并
	 * @param yeepayOrder
	 * @param type
	 * @return
	 */
	HashMap<String,Object> merge(YeepayOrder yeepayOrder,int type) throws Exception;
}

